from matplotlib import pyplot as plt
import numpy as np

# List of NFL 99 overall players in Madden 24 (as an example, names might need updating based on the actual roster)
players_99 = [
    "Patrick Mahomes",
    "Aaron Donald",
    "Davante Adams",
    "T.J. Watt",
    "Travis Kelce",
    "Jalen Ramsey",
    "Myles Garrett",
    "Tyreek Hill"
]

# Generating colors
colors = plt.cm.rainbow(np.linspace(0, 1, len(players_99)))

# Creating the pie chart
fig, ax = plt.subplots()
ax.pie([1] * len(players_99), labels=players_99, autopct='%1.1f%%', startangle=90, colors=colors)
ax.axis('equal')  # Equal aspect ratio ensures that pie is drawn as a circle.

# Display the wheel
plt.title("NFL 99 Overall Players in Madden 24")
plt.show()
